import torch
import torch.nn as nn
import torch.nn.functional as F


class Model(nn.Module):

    def __init__(self):
        super().__init__()

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        """
        ReGLU(x) = ReLU(gate) * act
        """
        gate, act = x.chunk(2, dim=-1)
        return F.relu(gate) * act


batch_size = 16
feature_dim = 32768


def get_inputs():
    x = torch.randn(batch_size, feature_dim, dtype=torch.float32)
    return [x]


def get_init_inputs():
    return []